﻿namespace Phoenix.Model.Bll.Interface
{
    using Phoenix.Model.Bll.Domain;

    /// <summary>
    /// Repository to manage nDoctor's users
    /// </summary>
    public interface IUserRepository : IRepository<User>
    {
        #region Methods

        /// <summary>
        /// Gets the default user.
        /// </summary>
        /// <returns></returns>
        User GetDefaultUser();

        #endregion Methods
    }
}