﻿namespace Phoenix.Presenter.Helpers
{
    #region Enumerations

    /// <summary>
    /// Indicates the basic action the box does.
    /// </summary>
    public enum Usage
    {
        /// <summary>
        /// The usage is not set
        /// </summary>
        Display,
        /// <summary>
        /// Insert the item into the repository
        /// </summary>
        Insert,
        /// <summary>
        /// Update the item from the repository.
        /// </summary>
        Update,
        /// <summary>
        /// Delete the item from the repository
        /// </summary>
        Delete,
    }

    #endregion Enumerations
}