﻿namespace Phoenix.View.Frame.Configuration
{
    /// <summary>
    /// Provides feature to save the configuration state and roll it back.
    /// </summary>
    public interface IConfigurationControl
    {
        #region Methods

        /// <summary>
        /// Rollback theconfiguration date to the previous state.
        /// </summary>
        void Rollback();

        /// <summary>
        /// Saves the configuration in the config file.
        /// </summary>
        void SaveConfiguration();

        #endregion Methods
    }
}