﻿namespace Phoenix.Model.Bll.Domain
{
    using System;

    [Obsolete("Should be removed from the domain! Use RelationType instead")]
    public class FamilyLink : Poco
    {
        #region Constructors

        public FamilyLink()
        {
        }

        #endregion Constructors

        #region Properties

        /// <summary>
        /// Gets or sets the first member of the family link.
        /// </summary>
        /// <value>The parent.</value>
        public virtual Patient Member1
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the second member of the family link.
        /// </summary>
        /// <value>The patient.</value>
        public virtual Patient Member2
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets remarks on the family link.
        /// </summary>
        /// <value>The remark.</value>
        public virtual string Remark
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the type of the family link.
        /// </summary>
        /// <value>The type.</value>
        public virtual RelationType Type
        {
            get;
            set;
        }

        #endregion Properties

        #region Methods

        /// <summary>
        /// Returns a <see cref="System.String"/> that represents this instance.
        /// </summary>
        /// <returns>
        /// A <see cref="System.String"/> that represents this instance.
        /// </returns>
        public override string ToString()
        {
            return string.Format("[{0}] {1} - {2}"
                , this.Type
                , this.Member1
                , this.Member2);
        }

        #endregion Methods
    }
}