namespace Phoenix.Model.Bll.Domain
{
    public class Insurance : Poco
    {
        #region Fields

        private Address m_Address;

        #endregion Fields

        #region Constructors

        public Insurance()
        {
            this.Address = new Address();
        }

        #endregion Constructors

        #region Properties

        public virtual Address Address
        {
            get { return m_Address; }
            set { m_Address = value; }
        }

        public virtual string Phone
        {
            get;
            set;
        }

        public virtual string Remark
        {
            get;
            set;
        }

        public virtual string Title
        {
            get;
            set;
        }

        #endregion Properties

        #region Methods

        public override string ToString()
        {
            return this.Title;
        }

        #endregion Methods
    }
}