﻿namespace Phoenix.Model.Bll.Interface
{
    #region Enumerations

    /// <summary>
    /// Sort the result of a query.
    /// </summary>
    public enum OrderBy
    {
        /// <summary>
        /// From the smallest to the highest.
        /// </summary>
        ASC,
        /// <summary>
        /// From the highest to the smallest.
        /// </summary>
        DESC,
    }

    #endregion Enumerations
}