﻿namespace Phoenix.Plugins.Core.Exceptions
{
    using System;
    using System.Runtime.Serialization;

    [Serializable]
    public class InvalidXmPluginException : Exception
    {
        #region Fields

        private static string message = "The xml file describing the plugin is invalid.";

        #endregion Fields

        #region Constructors

        public InvalidXmPluginException()
            : base(message)
        {
        }

        public InvalidXmPluginException(Exception inner)
            : base(message, inner)
        {
        }

        public InvalidXmPluginException(string message)
            : base(message)
        {
        }

        public InvalidXmPluginException(string message, Exception inner)
            : base(message, inner)
        {
        }

        protected InvalidXmPluginException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
        }

        #endregion Constructors
    }
}