﻿namespace Phoenix.Plugins.Manager
{
    using System;
    using System.Windows.Forms;

    using log4net;

    static class Program
    {
        #region Methods

        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            ILog logger = LogManager.GetLogger(typeof(Program));
            logger.Info("Start plugin manager");

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new fr_Main());
            logger.Info("Plugin manager closed");
        }

        #endregion Methods
    }
}